Page MenuHome Accel-ppp

IPOE session terminates after 10min
Closed, ResolvedPublicBUG

Description

Переходили с AltLinux 7 и accel-ppp 1.9.0 на Debian 9 последний accel-ppp.
Конфигурация одна и та же.

[ipoe]
verbose=1
unit-cache=20000
l4-redirect-ipset=l4redir
shared=1
ifcfg=1
mode=L3
start=up
idle-timeout=86400
nat=1
attr-l4-redirect=L4-Redirect
local-net=10.91.1.96/27
local-net=10.91.4.0/22
local-net=10.91.8.0/21
local-net=10.91.16.0/20
local-net=10.91.32.0/19
local-net=10.91.64.0/18
local-net=10.91.128.0/17
interface=leth1

[radius]
dictionary=/usr/local/share/accel-ppp/radius/dictionary
nas-identifier=nas1
nas-ip-address=185.46.48.11
gw-ip-address=192.168.100.1
server=185.46.48.4,<password>,auth-port=1812,acct-port=1813,req-limit=200
dae-server=185.46.48.11:2002,<password>
verbose=1
timeout=6
max-try=3

Сессия на новом сервере завершается ровно после 10 минут.
Радиус запрос / ответ

Mar 28 18:40:06 nas1 acipoe: ipoe0:: send [RADIUS(1) Access-Request id=1 <User-Name "10.91.85.14"> <NAS-Identifier "nas1"> <NAS-IP-Address 185.46.48.11> <NAS-Port 1667> <NAS-Port-Id "ipoe0"> <NAS-Port-Type Ethernet> <Calling-Station-Id "f8:f0:82:7a:73:2b"> <Called-Station-Id "leth1"> <Framed-IP-Address 10.91.85.14> <User-Password 0x0f91a2d6f2c28162bd09ece472f2acf8>]
Mar 28 18:40:07 nas1 acipoe: ipoe0:: recv [RADIUS(1) Access-Accept id=1 <Filter-Id "0"> <L4-Redirect 0> <Acct-Interim-Interval 600> <Idle-Timeout 600> <User-Name "808239"> <Configuration-Token "1"> <Connect-Info "TYPE=unlim,UP=200000,DOWN=200000"> <Framed-IP-Address 185.46.49.23> <NAS-Port 1667> <NAS-Port-Id "ipoe0">]

Details

Protocol
IPoE
Version
last master

Event Timeline

hloe0xff created this task.Apr 6 2020, 12:19
ev added a subscriber: ev.Apr 16 2020, 20:44

Вероятно, что дело в Idle-Timeout 600

hloe0xff triaged this task as Low priority.Apr 22 2020, 11:49

Возможно такое поведение было связано с недавними проблемами в ядре сети.
Нужно проверить. Задачу можно считать неактуальной / несрочной до подтверждения или опровержения версии.

hloe0xff closed this task as Resolved.May 5 2020, 08:15
hloe0xff claimed this task.
In T12#164, @hloe0xff wrote:

Возможно такое поведение было связано с недавними проблемами в ядре сети.

Всё так и оказалось.